Bug 604419 - unique-devel depends on gtk-doc unnecessarily
Summary: unique-devel depends on gtk-doc unnecessarily
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: unique   
(Show other bugs)
Version: 15
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Reopened
Depends On:
Blocks: 604169
TreeView+ depends on / blocked
 
Reported: 2010-06-15 20:59 UTC by Felipe Contreras
Modified: 2012-08-10 05:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 20:16:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Felipe Contreras 2010-06-15 20:59:00 UTC
There's no need to depend on gtk-doc to install .html files. See the tracking bug for details.

Comment 1 Richard Hughes 2010-06-16 13:03:34 UTC
Then what provides the /usr/share/gtk-doc/ directory ownership?

Comment 2 Felipe Contreras 2010-06-16 15:02:04 UTC
See the guideline:
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

Multiple packages own files in a common directory but none of them needs to require the others.

An example:

bash-completion owns the /etc/bash_completion.d directory and uses the files placed there to configure itself.
git places files into /etc/bash_completion.d
bzr places files into /etc/bash_completion.d

Solution: Both the git and bzr packages should own the /etc/bash_completion.d directory as bash-completion is optional functionality and the installation of git or bzr should not force the installation of bash-completion.

Rule of Thumb
When determining whether this exception applies, packagers and reviewers should ask this question: Do the files in this common directory enhance or add functionality to another package, where that other package is not necessary to be present for the primary functionality of this package?


So according to that documentation, all the packages own the directory.

However, in the tracker bug there doesn't seem to be consensus, so maybe the guideline needs to be updated.

Comment 3 Felipe Contreras 2011-05-25 12:21:09 UTC
Still present on F15.

See the revised guidelines which mention specifically gtk-doc:
http://fedoraproject.org/wiki/PackagingGuidelines#File_and_Directory_Ownership

Comment 4 Felipe Contreras 2011-11-16 17:20:52 UTC
Seems to be fixed already on F16.

Comment 5 Fedora End Of Life 2012-08-07 20:16:38 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.